Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: openvpn

Tunables Interfaces

### Description:

full-featured SSL VPN solution.

### Tunables:

openvpn_can_network_connect

##### Default value

false

##### Description

Determine whether openvpn can connect to the TCP network.

openvpn_enable_homedirs

##### Default value

false

##### Description

Determine whether openvpn can read generic user home content files.

Return

### Interfaces:

openvpn_admin( domain , role )

##### Summary

All of the rules required to administrate an openvpn environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

openvpn_domtrans( domain )

##### Summary

Execute openvpn clients in the openvpn domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

openvpn_kill( domain )

##### Summary

Send kill signals to openvpn.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

openvpn_read_config( domain )

##### Summary

Read openvpn configuration content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

openvpn_run( domain , role )

##### Summary

Execute openvpn clients in the openvpn domain, and allow the specified role the openvpn domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

openvpn_signal( domain )

##### Summary

Send generic signals to openvpn.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

openvpn_signull( domain )

##### Summary

Send null signals to openvpn.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return